# $Revision: 1.14 $, $Date: 2007/04/09 01:27:53 $
Summary:	KSensors - lmsensors frontend
Summary(pl.UTF-8):	KSensors - frontend dla lmsensors
Name:		ksensors
Version:	0.7.3
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/ksensors/%{name}-%{version}.tar.gz
# Source0-md5:	4f6c5d7dea5e637e772d17f1e547d6f1
URL:		http://ksensors.sourceforge.net/
BuildRequires:	automake
BuildRequires:	kdelibs-devel
BuildRequires:	lm_sensors-devel
BuildRequires:	qt-devel >= 6:3.0
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	lm_sensors
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KSensors is a nice frontend for lm-sensors, a set of tools for
monitoring the hardware health of Linux systems equipped with certain
hardware health monitoring hardware such as the LM78 or LM75, and
HDDtemp, a tool for monitoring hard drive temperatures.

%description -l pl.UTF-8
KSensors jest przyjemnym interfejsem graficznym dla pakietu lm-sensors
(czyli zestawu narzędzi do monitorowania sprzętu współpracującego ze
sprzętem takim jak LM78 czy LM75) oraz HDDtemp (narzędziem do
monitorowania temperatury dysku twardego).

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* admin
kde_htmldir="%{_kdedocdir}"; export kde_htmldir
%configure \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT \
        shelldesktopdir=%{_desktopdir}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc FAQ README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/apps/ksensors
%{_datadir}/apps/ksensors/ksensorsui.rc
%dir %{_datadir}/apps/ksensors/pics
%{_datadir}/apps/ksensors/pics/*
%dir %{_datadir}/apps/sounds
%{_datadir}/apps/sounds/*
%{_desktopdir}/*.desktop
%{_iconsdir}/*/*/apps/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksensors.spec,v $
Revision 1.14  2007/04/09 01:27:53  shadzik
mass attack: qt-devel epoch

Revision 1.13  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.11  2006/02/04 10:09:21  paszczus
- added missing BR: kdelibs-devel
- adaptarized

Revision 1.10  2005/03/05 22:33:28  qboosh
- fixed build (including amd64)

Revision 1.9  2005/03/05 17:13:34  megabajt
- unified

Revision 1.8  2004/10/06 14:56:23  qboosh
- killed applnkdir and invalid icons dir

Revision 1.7  2004/09/22 12:51:09  jasio
- Updated md5sum for Source0.

Revision 1.6  2004/09/22 12:40:38  jasio
- New version 0.7.3.
- Fixed install section.
- Package is building now.
- STBR

Revision 1.5  2004/08/31 19:22:14  snurf
- typos / formatting / etc.

Revision 1.4  2003/05/28 12:59:23  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/03 23:24:55  qboosh
- made pl description more clear, added missing _htmldir definition,
  added missing dir, removed dirs belonging to other package
- don't unconditionally strip on install

Revision 1.1  2003/02/28 21:23:20  misi3k
- initial release
- need some cleanups
